Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class Reaction

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.Reaction
                              |
                              +--biouml.plugins.cellml.Reaction

public class Reaction
extends Reaction

Fields inherited from class biouml.standard.type.Reaction
`NAME_FORMAT`

Constructor Summary
`Reaction(DataCollection origin, String name)`

Method Summary
`DynamicPropertySet` | `getRdf()`
`void` | `setRdf(DynamicPropertySet rdf)`

Methods inherited from class biouml.standard.type.Reaction
`addDataCollectionListener, close, contains, contains, get, getCompleteName, getDataElementType, getFormula, getInfo, getKineticLaw, getNameList, getSize, getSpecieReferences, getSpecieTitle, getType, init, isFast, isMutable, isPropagationEnabled, isReversible, iterator, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setFast, setKineticLaw, setPropagationEnabled, setReversible, setSpecieReferences`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Reaction

    public Reaction(DataCollection origin, String name)

Method Detail

### getRdf

    public DynamicPropertySet getRdf()

### setRdf

    public void setRdf(DynamicPropertySet rdf)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM